%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gsh
Version:        0.3
Release:        10%{?dist}
Summary:        Group Shell - aggregate several remote shells into one
URL:            http://guichaz.free.fr/gsh/
Source0:        http://guichaz.free.fr/gsh/files/%{name}-%{version}.tar.bz2
License:        GPLv2+
Group:          Applications/Internet
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

BuildRequires:  python >= 2.4
BuildRequires:  python-devel >= 2.4
BuildRequires:  python-setuptools
Requires:       python >= 2.4

Patch0:         pity.py.patch

%description
gsh is used to launch several remote shells on many machines at the same
time and control them from a single command prompt.

%prep
%setup -q -n %{name}-%{version}
#need to get rid of the egg
rm -rf gsh.egg-info/
# delete bundled setuptools
rm setuptools-*.egg

#apply patch to get rid of shebang from pity.py
cd gsh
%patch0 

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

#! /bin/sh
#
# Copied from: http://trac.edgewall.org/ticket/1141
#
# this file is *inserted* into the install section of the generated
# spec file
#

# this is, what dist.py normally does
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_bindir}/gsh
%{python_sitelib}/gsh/
%{python_sitelib}/gsh-*.egg-info/
%{_mandir}/man1/gsh.1.gz
%doc COPYING NEWS README

%changelog
* Fri Jul 30 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.3-10
- delete bundled setuptools

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.3-8
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 29 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-5
- Added a patch to remove the shebang from pity.py that rpmlint didn't like

* Thu Jan 29 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-4
- removed unneeded second -n listing in setup macro listing

* Thu Jan 29 2009 Jochen Schmitt <Jochen herr-schmitt de> - 0.3-3
- Several fixes to get package ready to fit with python packaging guideline

* Wed Jan 28 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-2
- Fixed rpmlint complaint, removed egg in setup, redownloaded source

* Wed Jan 28 2009 Adam Miller <maxamillion [AT] gmail.com> - 0.3-1
- First build of gsh for fedora

